Page MenuHomePhabricator

No longer possible to convert an auto-numbered link to one with a label
Closed, ResolvedPublic1 Story Points

Description

It is no longer possible to convert an auto-numbered link to one with a label. The code is still there in MWLinkNodeInspector, but the action button is never displayed.

  1. Press Ctrl+K with no text selected to open link inspector.
  2. Paste a URL, press Enter.
    • A new auto-numbered link like [1] is inserted.
  3. Select the link. The context menu lets you "Edit" it, click it.
  4. The "Simple link" inspector should have an "Add label" button, but doesn't.

An "Open" button should probably also appear (like in the link annotation inspector) and also doesn't.

Event Timeline

matmarex created this task.Mar 12 2015, 5:59 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2015, 5:59 PM

Change 196291 had a related patch set uploaded (by Bartosz Dziewoński):
ve.ui.MWLinkNodeInspector: Restore action buttons

https://gerrit.wikimedia.org/r/196291

Jdforrester-WMF closed this task as Resolved.Mar 12 2015, 7:40 PM
Jdforrester-WMF set Security to None.

Change 196291 merged by jenkins-bot:
ve.ui.MWLinkNodeInspector: Restore action buttons

https://gerrit.wikimedia.org/r/196291

Jdforrester-WMF triaged this task as High priority.Mar 18 2015, 1:09 AM

Verified the fix in Betalabs

Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Apr 1 2015, 4:14 PM